grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.6.2-6-g4571dcb


From: Paolo Bonzini
Subject: grep branch, master, updated. v2.6.2-6-g4571dcb
Date: Wed, 31 Mar 2010 08:25:29 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  4571dcbdc0e71b3d1cbd75fa94bdf6c64a92036e (commit)
      from  2c51cf6c4d088f4cabaa815754e1737ad1db052d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=4571dcbdc0e71b3d1cbd75fa94bdf6c64a92036e


commit 4571dcbdc0e71b3d1cbd75fa94bdf6c64a92036e
Author: Paolo Bonzini <address@hidden>
Date:   Wed Mar 31 10:17:53 2010 +0200

    tests: use get-mb-cur-max in char-class-multibyte
    
    * tests/char-class-multibyte: Use get-mb-cur-max to detect UTF-8 support.
    Rewrite previous locale detection code as a grep test.

diff --git a/tests/char-class-multibyte b/tests/char-class-multibyte
index d7ed399..825e3ad 100644
--- a/tests/char-class-multibyte
+++ b/tests/char-class-multibyte
@@ -1,11 +1,12 @@
 #!/bin/sh
 # This would segfault for grep-2.6
 : ${srcdir=.}
-. "$srcdir/init.sh"; path_prepend_ ../src
+. "$srcdir/init.sh"; path_prepend_ . ../src
 
-if printf '\xc3\n' | LC_ALL=en_US.UTF-8 grep -q '[é]'; then
-  skip_ UTF-8 matching seems not to work
-fi
+case $(get-mb-cur-max en_US.UTF-8) in
+  [3456]) ;;
+  *) skip_ 'UTF-8 locale not found' ;;
+esac
 
 printf 'é\n'      > exp1 || framework_failure_
 fail=0
@@ -24,4 +25,10 @@ for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
   compare $out exp2 || fail=1
 done
 
+for LOC in en_US.UTF-8 $LOCALE_FR_UTF8; do
+  out=out3-$LOC
+  printf '\xc3\n' | LC_ALL=$LOC grep '[é]' > $out
+  test $? = 1 || fail=1
+done
+
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/char-class-multibyte |   15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)


hooks/post-receive
-- 
grep




reply via email to

[Prev in Thread] Current Thread [Next in Thread]